Class BGPPeeringsImpl
java.lang.Object
com.eqixiac.equinix.networkedge.client.implementation.BGPPeeringsImpl
- All Implemented Interfaces:
BGPPeerings
- Author:
- ianjones
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptiondefine()Returns an instance of BGPPeeringBuilder for defining a new BGP Peering.Gets the specified BGP Peering.list()Lists available BGP Peerings.list(RequestBuilder.BGP requestBuilder) Lists BGP Peerings based on the parameters provided.
-
Constructor Details
-
BGPPeeringsImpl
public BGPPeeringsImpl()
-
-
Method Details
-
list
Description copied from interface:BGPPeeringsLists available BGP Peerings.- Specified by:
listin interfaceBGPPeerings- Returns:
PaginatedList
-
list
Lists BGP Peerings based on the parameters provided.- Specified by:
listin interfaceBGPPeerings- Parameters:
requestBuilder- the desired query parameters.- Returns:
PaginatedList
-
getByUuid
Description copied from interface:BGPPeeringsGets the specified BGP Peering.- Specified by:
getByUuidin interfaceBGPPeerings- Parameters:
uuid- the unique identifier of the BGP Peering.- Returns:
BGPPeering
-
define
Description copied from interface:BGPPeeringsReturns an instance of BGPPeeringBuilder for defining a new BGP Peering.- Specified by:
definein interfaceBGPPeerings- Returns:
BGPPeeringOperator.BGPPeeringBuilder
-